{{page-title (t "pages.assessment-results.title")}}

<div class="assessment-results">

  <div class="assessment-results__assessment-banner">
    <AssessmentBanner @title={{@model.title}} @checkpoint={{false}} @displayHomeLink={{false}} />
  </div>

  <div class="assessment-results__content">
    <p class="assessment-results__title">
      {{t "pages.assessment-results.answers.header"}}
    </p>
    <div class="assessment-results__list">
      {{#each @model.answers as |answer|}}
        <ResultItem @answer={{answer}} @openAnswerDetails={{this.openComparisonWindow}} />
      {{/each}}
    </div>

    <div class="assessment-results__index-link-container">
      {{#if @model.isDemo}}
        <PixButtonLink
          @href="/inscription"
          class="assessment-results__index-link__element assessment-results__index-a-link"
        >
          <span class="assessment-results__link-back">{{t
              "pages.assessment-results.actions.continue-pix-experience"
            }}</span>
        </PixButtonLink>
      {{else}}
        <PixButtonLink @route="authenticated" @shape="rounded">
          <span class="assessment-results__link-back">{{t "pages.assessment-results.actions.return-to-homepage"}}</span>
        </PixButtonLink>
      {{/if}}
    </div>
  </div>

  <ComparisonWindow
    @answer={{this.answer}}
    @closeComparisonWindow={{this.closeComparisonWindow}}
    @showModal={{this.isShowingModal}}
  />

</div>

<Footer @full="false"/>